petsc-3.4.2 2013-07-02

# TSMonitor

Runs all user-provided monitor routines set using TSMonitorSet()

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitor(TS ts,PetscInt step,PetscReal ptime,Vec u)

Collective on TS

### Input Parameters

| ts | - time stepping context obtained from TSCreate()
| step | - step number that has just completed
| ptime | - model time of the state
| u | - state at the current model time

### Notes

TSMonitor() is typically used within the time stepping implementations. Users might call this function when using the TSStep() interface instead of TSSolve().

### Keywords

TS, timestep

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages